Package org.wso2.carbon.proxyadmin.stub

## Class ProxyServiceAdminStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminStub

- All Implemented Interfaces:
    `ProxyServiceAdmin`

      public class ProxyServiceAdminStub
      extends org.apache.axis2.client.Stub
      implements ProxyServiceAdmin

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations` |

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyServiceAdminStub()` | Default Constructor
    `ProxyServiceAdminStub​(String targetEndpoint)` | Constructor taking the target endpoint
    `ProxyServiceAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext)` | Default Constructor
    `ProxyServiceAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` | Constructor that takes in a configContext
    `ProxyServiceAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` | Constructor that takes in a configContext and useseperate listner

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `addProxy​(ProxyData pd148)` | Auto generated method signature
    `String` | `deleteProxyService​(String proxyName144)` | Auto generated method signature
    `String` | `disableStatistics​(String proxyName132)` | Auto generated method signature
    `String` | `disableTracing​(String proxyName110)` | Auto generated method signature
    `String` | `enableStatistics​(String proxyName128)` | Auto generated method signature
    `String` | `enableTracing​(String proxyName117)` | Auto generated method signature
    `String[]` | `getAvailableEndpoints()` | Auto generated method signature
    `String[]` | `getAvailableSequences()` | Auto generated method signature
    `String[]` | `getAvailableTransports()` | Auto generated method signature
    `String` | `getEndpoint​(String name136)` | Auto generated method signature
    `MetaData` | `getMetaData()` | Auto generated method signature
    `ProxyData` | `getProxy​(String proxyName121)` | Auto generated method signature
    `String` | `getSourceView​(ProxyData pd91)` | Auto generated method signature
    `String` | `modifyProxy​(ProxyData pd95)` | Auto generated method signature
    `String` | `redeployProxyService​(String proxyName99)` | Auto generated method signature
    `void` | `startaddProxy​(ProxyData pd148, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteProxyService​(String proxyName144, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableStatistics​(String proxyName132, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableTracing​(String proxyName110, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startenableStatistics​(String proxyName128, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startenableTracing​(String proxyName117, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableEndpoints​(ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableSequences​(ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableTransports​(ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetEndpoint​(String name136, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetMetaData​(ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetProxy​(String proxyName121, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSourceView​(ProxyData pd91, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startmodifyProxy​(ProxyData pd95, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `String` | `startProxyService​(String proxyName106)` | Auto generated method signature
    `void` | `startredeployProxyService​(String proxyName99, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startstartProxyService​(String proxyName106, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startstopProxyService​(String proxyName140, ProxyServiceAdminCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `String` | `stopProxyService​(String proxyName140)` | Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### ProxyServiceAdminStub

          public ProxyServiceAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                       String targetEndpoint)
                                throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ProxyServiceAdminStub

          public ProxyServiceAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                       String targetEndpoint,
                                       boolean useSeparateListener)
                                throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ProxyServiceAdminStub

          public ProxyServiceAdminStub​(org.apache.axis2.context.ConfigurationContext configurationContext)
                                throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ProxyServiceAdminStub

          public ProxyServiceAdminStub()
                                throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ProxyServiceAdminStub

          public ProxyServiceAdminStub​(String targetEndpoint)
                                throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getSourceView

          public String getSourceView​(ProxyData pd91)
                               throws RemoteException,
                                      ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getSourceView` in interface `ProxyServiceAdmin`
      Parameters:
        `getSourceView90` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getSourceView(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData)`

    - #### startgetSourceView

          public void startgetSourceView​(ProxyData pd91,
                                         ProxyServiceAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetSourceView` in interface `ProxyServiceAdmin`
      Parameters:
        `getSourceView90` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetSourceView(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### modifyProxy

          public String modifyProxy​(ProxyData pd95)
                             throws RemoteException,
                                    ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `modifyProxy` in interface `ProxyServiceAdmin`
      Parameters:
        `modifyProxy94` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.modifyProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData)`

    - #### startmodifyProxy

          public void startmodifyProxy​(ProxyData pd95,
                                       ProxyServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startmodifyProxy` in interface `ProxyServiceAdmin`
      Parameters:
        `modifyProxy94` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startmodifyProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### redeployProxyService

          public String redeployProxyService​(String proxyName99)
                                      throws RemoteException,
                                             ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `redeployProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `redeployProxyService98` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.redeployProxyService(java.lang.String)`

    - #### startredeployProxyService

          public void startredeployProxyService​(String proxyName99,
                                                ProxyServiceAdminCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startredeployProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `redeployProxyService98` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startredeployProxyService(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### getAvailableTransports

          public String[] getAvailableTransports()
                                          throws RemoteException,
                                                 ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getAvailableTransports` in interface `ProxyServiceAdmin`
      Parameters:
        `getAvailableTransports102` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getAvailableTransports()`

    - #### startgetAvailableTransports

          public void startgetAvailableTransports​(ProxyServiceAdminCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAvailableTransports` in interface `ProxyServiceAdmin`
      Parameters:
        `getAvailableTransports102` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetAvailableTransports(org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### startProxyService

          public String startProxyService​(String proxyName106)
                                   throws RemoteException,
                                          ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `startProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `startProxyService105` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startProxyService(java.lang.String)`

    - #### startstartProxyService

          public void startstartProxyService​(String proxyName106,
                                             ProxyServiceAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startstartProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `startProxyService105` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startstartProxyService(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### disableTracing

          public String disableTracing​(String proxyName110)
                                throws RemoteException,
                                       ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `disableTracing` in interface `ProxyServiceAdmin`
      Parameters:
        `disableTracing109` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.disableTracing(java.lang.String)`

    - #### startdisableTracing

          public void startdisableTracing​(String proxyName110,
                                          ProxyServiceAdminCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisableTracing` in interface `ProxyServiceAdmin`
      Parameters:
        `disableTracing109` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startdisableTracing(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### getMetaData

          public MetaData getMetaData()
                               throws RemoteException,
                                      ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getMetaData` in interface `ProxyServiceAdmin`
      Parameters:
        `getMetaData113` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getMetaData()`

    - #### startgetMetaData

          public void startgetMetaData​(ProxyServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetMetaData` in interface `ProxyServiceAdmin`
      Parameters:
        `getMetaData113` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetMetaData(org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### enableTracing

          public String enableTracing​(String proxyName117)
                               throws RemoteException,
                                      ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `enableTracing` in interface `ProxyServiceAdmin`
      Parameters:
        `enableTracing116` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.enableTracing(java.lang.String)`

    - #### startenableTracing

          public void startenableTracing​(String proxyName117,
                                         ProxyServiceAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startenableTracing` in interface `ProxyServiceAdmin`
      Parameters:
        `enableTracing116` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startenableTracing(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### getProxy

          public ProxyData getProxy​(String proxyName121)
                             throws RemoteException,
                                    ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getProxy` in interface `ProxyServiceAdmin`
      Parameters:
        `getProxy120` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getProxy(java.lang.String)`

    - #### startgetProxy

          public void startgetProxy​(String proxyName121,
                                    ProxyServiceAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetProxy` in interface `ProxyServiceAdmin`
      Parameters:
        `getProxy120` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetProxy(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### getAvailableEndpoints

          public String[] getAvailableEndpoints()
                                         throws RemoteException,
                                                ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getAvailableEndpoints` in interface `ProxyServiceAdmin`
      Parameters:
        `getAvailableEndpoints124` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getAvailableEndpoints()`

    - #### startgetAvailableEndpoints

          public void startgetAvailableEndpoints​(ProxyServiceAdminCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAvailableEndpoints` in interface `ProxyServiceAdmin`
      Parameters:
        `getAvailableEndpoints124` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetAvailableEndpoints(org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### enableStatistics

          public String enableStatistics​(String proxyName128)
                                  throws RemoteException,
                                         ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `enableStatistics` in interface `ProxyServiceAdmin`
      Parameters:
        `enableStatistics127` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.enableStatistics(java.lang.String)`

    - #### startenableStatistics

          public void startenableStatistics​(String proxyName128,
                                            ProxyServiceAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startenableStatistics` in interface `ProxyServiceAdmin`
      Parameters:
        `enableStatistics127` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startenableStatistics(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### disableStatistics

          public String disableStatistics​(String proxyName132)
                                   throws RemoteException,
                                          ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `disableStatistics` in interface `ProxyServiceAdmin`
      Parameters:
        `disableStatistics131` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.disableStatistics(java.lang.String)`

    - #### startdisableStatistics

          public void startdisableStatistics​(String proxyName132,
                                             ProxyServiceAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisableStatistics` in interface `ProxyServiceAdmin`
      Parameters:
        `disableStatistics131` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startdisableStatistics(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### getEndpoint

          public String getEndpoint​(String name136)
                             throws RemoteException,
                                    ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getEndpoint` in interface `ProxyServiceAdmin`
      Parameters:
        `getEndpoint135` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getEndpoint(java.lang.String)`

    - #### startgetEndpoint

          public void startgetEndpoint​(String name136,
                                       ProxyServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetEndpoint` in interface `ProxyServiceAdmin`
      Parameters:
        `getEndpoint135` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetEndpoint(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### stopProxyService

          public String stopProxyService​(String proxyName140)
                                  throws RemoteException,
                                         ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `stopProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `stopProxyService139` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.stopProxyService(java.lang.String)`

    - #### startstopProxyService

          public void startstopProxyService​(String proxyName140,
                                            ProxyServiceAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startstopProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `stopProxyService139` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startstopProxyService(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### deleteProxyService

          public String deleteProxyService​(String proxyName144)
                                    throws RemoteException,
                                           ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `deleteProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `deleteProxyService143` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.deleteProxyService(java.lang.String)`

    - #### startdeleteProxyService

          public void startdeleteProxyService​(String proxyName144,
                                              ProxyServiceAdminCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdeleteProxyService` in interface `ProxyServiceAdmin`
      Parameters:
        `deleteProxyService143` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startdeleteProxyService(java.lang.String, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### addProxy

          public String addProxy​(ProxyData pd148)
                          throws RemoteException,
                                 Exception

      Auto generated method signature
      Specified by:
        `addProxy` in interface `ProxyServiceAdmin`
      Parameters:
        `addProxy147` -
      Throws:
        `Exception` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.addProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData)`

    - #### startaddProxy

          public void startaddProxy​(ProxyData pd148,
                                    ProxyServiceAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startaddProxy` in interface `ProxyServiceAdmin`
      Parameters:
        `addProxy147` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startaddProxy(org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyData, org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`

    - #### getAvailableSequences

          public String[] getAvailableSequences()
                                         throws RemoteException,
                                                ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Specified by:
        `getAvailableSequences` in interface `ProxyServiceAdmin`
      Parameters:
        `getAvailableSequences151` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.getAvailableSequences()`

    - #### startgetAvailableSequences

          public void startgetAvailableSequences​(ProxyServiceAdminCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAvailableSequences` in interface `ProxyServiceAdmin`
      Parameters:
        `getAvailableSequences151` -
      Throws:
        `RemoteException`
      See Also:
        `ProxyServiceAdmin.startgetAvailableSequences(org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminCallbackHandler)`